## 6tunnel 0.09

=== Makefile ===
CC = gcc -O2 -Wall
VER = 0.09
RPM_ROOT = /home/wojtekka/rpm

default:
	@echo -e -- \\033[1m6tunnel\\033[0m make --
	@if [ -d /usr/local/v6/lib ]; then make KAME; else make generic; fi
generic:
	$(CC) 6tunnel.c -o 6tunnel
KAME:
	$(CC) 6tunnel.c -o 6tunnel -L/usr/local/v6/lib -linet6

install:
	@case $$(uname -s) in \
	  *BSD) make install-bsd;; \
	  *) make install-generic;; \
	esac

install-generic:	default
	strip 6tunnel
	install 6tunnel /usr/local/bin
	install	6tunnel.1 /usr/local/man/man1

install-bsd:	default
	strip 6tunnel
	install 6tunnel /usr/local/bin
	install	6tunnel.1 /usr/local/share/man/man1
	
targz:	clean
	cd ..; tar zcvf 6tunnel/6tunnel-$(VER).tar.gz --exclude 6tunnel/6tunnel-$(VER).tar.gz --exclude 6tunnel/older 6tunnel

rpm:	targz
	sed 's/#VERSION#/$(VER)/' < 6tunnel.spec > $(RPM_ROOT)/SPECS/6tunnel.spec
	cp 6tunnel-$(VER).tar.gz $(RPM_ROOT)/SOURCES
	rpm -ba $(RPM_ROOT)/SPECS/6tunnel.spec
	rm -rf $(RPM_ROOT)/BUILD/6tunnel
	rm -f $(RPM_ROOT)/SOURCE/6tunnel-$(VER).tar.gz
#	rm -f $(RPM_ROOT)/SPECS/6tunnel.spec
	mv $(RPM_ROOT)/{RPMS/i386,SRPMS}/6tunnel-*.rpm .
	
clean:
	rm -f 6tunnel *.o *~ core 6tunnel-*.{tar.gz,rpm}

## 6tunnel 0.11rc2

=== debian/changelog ===
6tunnel (0.11rc2-8) unstable; urgency=low

  * debian/control
    - (standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to Format 1.0.
    - Update Upstream-Contact (Closes: #709332). 
      Thanks to Jakub Wilk <jwilk@debian.org>.
    - Update years.
  * debian/patches
    - (30): New. Fix typos in manual page (Closes: #709334). 
      Thanks to Jakub Wilk <jwilk@debian.org>.
  * debian/watch
    - Update. Add uversionmangle, dversionmangle and improve URL. 
      Thanks to Bart Martens <bartm@debian.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 May 2013 12:17:40 +0300

6tunnel (0.11rc2-7) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (standards-Version): Update to 3.9.3.1.
  * debian/rules
     - Enable all hardening flags.
     - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 12:32:41 -0400

6tunnel (0.11rc2-6) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
  * debian/rules
    - Remove unnecessary rules.
    - Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Feb 2012 14:22:13 -0500

6tunnel (0.11rc2-5) unstable; urgency=low

  * debian/patches
    - (15): New. Adjust getopt() return value type for ARM. Patch
      thanks to Martijn <kleptog@svana.org> (Closes: #602664).
    - (20): Refresh.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Nov 2010 10:05:36 +0200

6tunnel (0.11rc2-4) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/compat
    - Update to 8.
  * debian/copyright
    - (Upstream Author): Add note that email is no longer active.
  * debian/patches
    - (20): New. Fix can't resolve IPv4 address. Patch
      thanks to Roland Stigge <stigge@antcom.de> (Closes: #601030).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 24 Oct 2010 00:51:39 +0300

6tunnel (0.11rc2-3) unstable; urgency=low

  * New maintainer (Closes: #569181).
    - Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): update to Freshmeat.
    - (Standards-Version): update to 3.8.4.
    - (Vcs-*): new fields.
  * debian/copyright
    - Update layout.
  * debian/patches/series
    - (Number 10): Correct option -f. Patch thanks to
      Olaf Rempel <razzor@kopf-tisch.de> (Closes: #501904).
  * debian/rules
    - Update to dh(1). (not handling nostrip; Closes: #436257).
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 19 Mar 2010 06:33:20 +0200

6tunnel (0.11rc2-2) unstable; urgency=low

  * Add build dependency on autoconf (closes: #367005)

 -- Thomas Seyrat <tomasera@debian.org>  Fri, 12 May 2006 22:48:11 +0200

6tunnel (0.11rc2-1) unstable; urgency=low

  * New upstream release (closes: #366976)
  * Bumped Standards-Version to 3.7.2
  * Bumped debhelper compatibility level to 5

 -- Thomas Seyrat <tomasera@debian.org>  Fri, 12 May 2006 17:53:57 +0200

6tunnel (0.11rc1-1) unstable; urgency=low

  * New upstream release (closes: #313193)
  * New upstream URL
  * Bumped Standards-Version to 3.6.2

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 21 Jul 2005 16:26:46 +0200

6tunnel (0.10rel-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.6.0

 -- Thomas Seyrat <tomasera@debian.org>  Sat, 12 Jul 2003 18:59:01 +0200

6tunnel (0.10rc2-1) unstable; urgency=high

  * New upstream release (closes: #194851)
  * Bumped Standards-Version to 3.5.10

 -- Thomas Seyrat <tomasera@debian.org>  Wed,  4 Jun 2003 00:13:44 +0200

6tunnel (0.09-1) unstable; urgency=low

  * Initial Release. (closes: #139888)

 -- Thomas Seyrat <tomasera@debian.org>  Mon, 25 Mar 2002 22:54:07 +0100

=== debian/control ===
Source: 6tunnel
Section: net
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), autoconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/6tunnel.git
Vcs-Git: git://git.debian.org/git/collab-maint/6tunnel.git
Homepage: http://toxygen.net/6tunnel

Package: 6tunnel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TCP proxy for non-IPv6 applications
 6tunnel allows you to use services provided by IPv6 hosts with
 IPv4-only applications and vice versa. It can bind to any of your IPv4
 or IPv6 addresses and forward all data to IPv4 or IPv6 host.
 .
 It can be used for example as an IPv6-capable IRC proxy.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic $(CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/6tunnel/usr

override_dh_auto_configure:
	[ -f Makefile ] || sh ./autogen.sh
	dh_auto_configure

%:
	dh $@

# End of file

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
http://toxygen.net/6tunnel/6tunnel-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## 6tunnel 0.12

=== debian/changelog ===
6tunnel (1:0.12-1) unstable; urgency=medium

  * New upstream release
    - Warn if both addresses are already IPV4 (Closes: 610979)
  * debian/copyright
    - (Comment): Move info to this standard header.
    - Update URLs
  * debian/patches
    - Delete. Included in upstream release.
      20-resolve-ipv4-address--bug601030.patch
      25-spelling.patch
      30-manpage.patch
  * debian/source/options
    - Ignore autoconf files.
  * debian/watch
    - Update to Github.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 Oct 2016 07:08:11 +0300

6tunnel (1:0.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/options:
    - New file.
  * debian/copyright:
    - Update years.
    - (X-Upstream-*): New fields.
  * debian/patches
    - (10, 15): f-option and ARM patches removed. Included in upstream.
  * debian/rules:
    - (override_dh_auto_configure): Call autoconf -f -i.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 18:41:22 +0300

6tunnel (0.11rc2-9) unstable; urgency=medium

  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.git.
  * debian/patches
    - (25): New. Fix spelling in binary (Lintian).
  * debian/watch
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 09:54:45 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), autoconf
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/6tunnel.git
-Vcs-Git: git://git.debian.org/git/collab-maint/6tunnel.git
-Homepage: http://toxygen.net/6tunnel
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/6tunnel.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/6tunnel.git
+Homepage: https://toxygen.net/6tunnel
 
 Package: 6tunnel
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	$(MAKE) install prefix=$(CURDIR)/debian/6tunnel/usr
 
 override_dh_auto_configure:
-	[ -f Makefile ] || sh ./autogen.sh
+	[ -f Makefile ] || sh ./autogen.sh || autoconf -f -i
 	dh_auto_configure
 
 %:

=== debian/watch ===
version=3
# opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
# http://toxygen.net/6tunnel/6tunnel-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# http://toxygen.net/6tunnel/6tunnel-([\d.]+)\.(?:tar\.(?:gz|bz2|xz))

opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/6tunnel-$1\.tar\.gz/ \
  https://github.com/wojtekka/6tunnel/tags .*/(\d\S*)\.tar\.gz

## 6tunnel 0.13

=== debian/changelog ===
6tunnel (1:0.13-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Reorganized and improved long description.
  * debian/copyright:
       - Added new rights in debian/* block.
       - Added rights for the file install-sh.
       - Updated upstream copyright years.
  * debian/rules:
      - Added DH_VERBOSE.
      - Added override_dh_auto_test to skip the python2 test
        that will be removed in bullseye.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch: updated, using new variables.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Fri, 08 Nov 2019 22:04:33 -0300

6tunnel (1:0.12-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920085)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/clean: no longer needed. Removed.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Reorganized and improved the long description.
      - Updated VCS fields to use Salsa.
      - Using https in Homepage field.
  * debian/copyright:
      - Added new rights in debian/* block.
      - Fixed license label in complete text of the GPL.
      - Fixed upstream licensing from GPL-2+ to GPL-2.
      - Removed lots of useless information to simplify the file.
      - Updated Source field.
      - Updated upstream and packaging copyright years.
  * debian/rules:
      - Removed all overrides (unneeded).
      - Removed unneeded variables.
      - Removed trash near of EOF.
  * debian/source/options: not needed. Removed.
  * debian/tests/control: created to provide basic CI tests.
  * debian/watch: full updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jul 2019 02:23:44 -0300

=== debian/control ===
Source: 6tunnel
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://toxygen.net/6tunnel
Vcs-Browser: https://salsa.debian.org/debian/6tunnel
Vcs-Git: https://salsa.debian.org/debian/6tunnel.git

Package: 6tunnel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TCP proxy for non-IPv6 applications
 6tunnel allows you to use services provided by IPv6 hosts
 with IPv4-only applications and vice versa. It can bind to
 any of your IPv4 or IPv6 addresses and forward all data to
 IPv4 or IPv6 host.
 .
 Tunnelling for application that don't speak IPv6. It can be
 used for example as an IPv6-capable IRC proxy in other network.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all

%:
	dh $@

#skip the python2 test that will be removed in bullseye.
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/wojtekka/6tunnel/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## 6tunnel 0.14

=== debian/changelog ===
6tunnel (1:0.14-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes FTBFS with gcc 15. (Closes: #1096266)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 19:30:03 +0300

6tunnel (1:0.13-4) unstable; urgency=medium

  * QA upload.
  * re-enable the tests with Python3 patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 19 Apr 2025 14:57:10 +0200

6tunnel (1:0.13-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-version to "4.7.0".
  * debian/copyright: Update packaging copyright information.

 -- Gabriel Deió Lira <gabrieldeio@alunos.utfpr.edu.br>  Sat, 15 Feb 2025 17:11:22 -0300

6tunnel (1:0.13-2) unstable; urgency=medium

  * QA upload.
  [ Thiago Andrade Marques ]
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
  * debian/upstream/metadata: added Bug-Database and Bug-Submit fields.
  * debian/copyright: updated package copyright years and my email.

  [ Debian Janitor ]
  * debian/upstream/metadata: created.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 26 May 2020 00:30:11 -0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 13),
+ python3:any,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://toxygen.net/6tunnel
 Vcs-Browser: https://salsa.debian.org/debian/6tunnel
 Vcs-Git: https://salsa.debian.org/debian/6tunnel.git
+X-Style: black
 
 Package: 6tunnel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: TCP proxy for non-IPv6 applications
  6tunnel allows you to use services provided by IPv6 hosts
  with IPv4-only applications and vice versa. It can bind to

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: 6tunnel 2>&1 | grep usage

Test-Command: 6tunnel -1 6668 example.com 6667
